FROM node:10-slim
RUN apt update && apt -y upgrade && apt -y install git sudo python build-essential && apt clean
RUN mkdir -p /hubot/scripts
RUN useradd -ms /bin/bash hubot
RUN chown hubot.hubot -R /hubot
WORKDIR /hubot
USER hubot
RUN npm install --single-threaded \
coffeescript \
yo \
generator-hubot \
hubot
RUN node node_modules/.bin/yo hubot --owner="No owner specified" --name="rocketbot" --description="Hubot with rocketbot adapter" --defaults
RUN npm install --single-threaded \
hubot-scripts \
hubot-rocketchat \
hubot-help \
hubot-seen \
hubot-links \
hubot-phrases \
hubot-putear \
hubot-country \
hubot-morse \
hubot-fun \
hubot-pony \
hubot-suggest \
hubot-url-title \
hubot-current-time \
hubot-lmgtfy \
hubot-thesimpsons \
hubot-victory \
hubot-plusplus \
hubot-diagnostics \
hubot-anon \
hubot-anime-dl \
hubot-taboo-topics \
hubot-pugme \
hubot-maps \
hubot-rules \
hubot-shipit \
hubot-motivate \
hubot-encourage \
hubot-ascii-art \
hubot-wikipedia-lang \
hubot-markov \
hubot-brain-inspect \
hubot-qr-generator
RUN npm install --single-threaded
RUN cp -r node_modules/hubot-* scripts/
ADD ./external-scripts.json /external-scripts.json
RUN cp /external-scripts.json /hubot/external-scripts.json
ENV ROCKETCHAT_URL http://172.133.0.101:3000
ENV ROCKETCHAT_ROOM general
ENV ROCKETCHAT_USER rocketbot
ENV ROCKETCHAT_PASSWORD RbwX6hrPPpjgdBaCX
ENV BOT_NAME RocketBot
#ENV LISTEN_ON_ALL_PUBLIC true
ENV ROCKETCHAT_AUTH password
ENV REDIS_URL redis://172.133.0.103:6379/rocketchat
